Package org.eclipse.net4j.util.security

# Class DiffieHellman

java.lang.Object
org.eclipse.net4j.util.security.DiffieHellman

public class DiffieHellman extends Object
Executes the Diffie-Hellman key agreement protocol between 2 parties: `DiffieHellman.Server` and `DiffieHellman.Client`.

Since:
  3.3
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DiffieHellman.Client`
Executes the client-side of the Diffie-Hellman key agreement protocol.
`static final class`
`DiffieHellman.ParameterSpecGenerator`
Creates Diffie-Hellman parameters.
`static class`
`DiffieHellman.Server`
Executes the server-side of the Diffie-Hellman key agreement protocol.
`static final class`
`DiffieHellman.SkipParameterSpec`

## Constructor Summary

Constructors
Constructor
Description
`DiffieHellman()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiffieHellman

public DiffieHellman()